Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 766480 - kde-frameworks/kio: fails to build gcc11 because of missing <limits>
Summary: kde-frameworks/kio: fails to build gcc11 because of missing <limits>
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: gcc-11
  Show dependency tree
 
Reported: 2021-01-22 05:34 UTC by Geoff Leach
Modified: 2021-03-25 23:13 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
patch to add #include <limits> (kio-gcc11-limits.patch,224 bytes, patch)
2021-01-22 05:34 UTC, Geoff Leach
Details | Diff
updated patch for kio-5.80.1 (kio-gcc11-limits.patch,474 bytes, patch)
2021-03-15 12:34 UTC, Geoff Leach
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Geoff Leach 2021-01-22 05:34:31 UTC
Created attachment 684061 [details, diff]
patch to add #include <limits>

Similar to other missing <limits> reports for qtcore and other packages bug #752012

Need to include limits.h with gcc11 in des.cpp. Patch attached. 

FWIW  only kde package I found with this issue.
Comment 1 Sam James archtester gentoo-dev Security 2021-01-22 06:23:17 UTC
submitted upstream?
Comment 2 Geoff Leach 2021-01-22 09:12:08 UTC
I haven't, but should, and will, or at least investigate if already taken care of :)

I'm pretty sure they'd know about it and trivial to fix, and Andy in bug #752012 said he has reported same issue with patch upstream

Was more if gentooers hit the issue ...
Comment 3 Andreas Sturmlechner gentoo-dev 2021-01-23 18:00:21 UTC
In general, please always attach a build.log.

Fedora does the same: https://src.fedoraproject.org/rpms/kf5-kio/blob/master/f/kf5-kio-gcc11.patch

Let's be better citizens and submit this patch upstream.

Geoff, kio upstream repository is here: https://invent.kde.org/frameworks/kio
Comment 4 Geoff Leach 2021-01-24 03:53:52 UTC
ok, ok, thanks for pointing and prompting :)

issue raised and merge request submitted upstream - will put link here when shows up
Comment 5 Geoff Leach 2021-01-24 04:05:02 UTC
Here's the issue report

https://invent.kde.org/frameworks/kio/-/issues/3


Turns out creating a merge request will take longer, can't just email them :)
Comment 6 Larry the Git Cow gentoo-dev 2021-01-24 13:02:49 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=beabe660dec13ac95cf9c5d06a43a2a10065836b

commit beabe660dec13ac95cf9c5d06a43a2a10065836b
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2021-01-24 09:23:19 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2021-01-24 12:57:38 +0000

    kde-frameworks/kio: Fix build with GCC-11
    
    Upstream commit 9965ec1b9e6f6db192a2355e4e3eb80bc27fc092
    
    Thanks-to: Geoff Leach <gl@cs.rmit.edu.au>
    Closes: https://bugs.gentoo.org/766480
    Package-Manager: Portage-3.0.14, Repoman-3.0.2
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 kde-frameworks/kio/files/kio-5.77.0-gcc11.patch | 32 +++++++++++++++++++++++++
 kde-frameworks/kio/kio-5.77.0-r1.ebuild         | 11 +++++----
 kde-frameworks/kio/kio-5.78.0.ebuild            |  6 +++--
 3 files changed, 43 insertions(+), 6 deletions(-)
Comment 7 Andreas Sturmlechner gentoo-dev 2021-02-12 22:06:39 UTC
*** Bug 768354 has been marked as a duplicate of this bug. ***
Comment 8 Geoff Leach 2021-03-15 11:18:40 UTC
Unfortunately  upstream #include order not quite right, and so problem persists in kio-5.80.
Comment 9 Geoff Leach 2021-03-15 12:34:28 UTC
Created attachment 691578 [details, diff]
updated patch for kio-5.80.1
Comment 10 Geoff Leach 2021-03-15 12:42:03 UTC
reopened and fixed upstream

https://invent.kde.org/frameworks/kio/-/issues/3


https://invent.kde.org/frameworks/kio/commit/493188b3d616f3223ccf3a41327a4c7e69282df8

Hmm. Not sure if better to close when upstream updates or  after new version with fix is out. I've seen both :)
Comment 11 Larry the Git Cow gentoo-dev 2021-03-25 23:13:36 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=da142c953d5d2df787df3bacfb63856163d445ec

commit da142c953d5d2df787df3bacfb63856163d445ec
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2021-03-25 22:44:26 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2021-03-25 23:13:19 +0000

    kde-frameworks/kio: Fix kinit not terminating file.so, build w/ GCC-11
    
    Upstream commits:
    05e1090603ca81eb54a23febe41a8823a0e7d572
    493188b3d616f3223ccf3a41327a4c7e69282df8
    
    KDE-Bug: https://bugs.kde.org/show_bug.cgi?id=434455
    Closes: https://bugs.gentoo.org/766480
    Package-Manager: Portage-3.0.17, Repoman-3.0.2
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 .../kio-5.80.1-MimeTypeFinderJob-file.so.patch     | 30 +++++++
 .../kio/files/kio-5.80.1-gcc11-include-order.patch | 36 ++++++++
 kde-frameworks/kio/kio-5.80.1-r1.ebuild            | 99 ++++++++++++++++++++++
 3 files changed, 165 insertions(+)